// Code generated by mockery v0.0.0-dev. DO NOT EDIT.

package mocks

import mock "github.com/stretchr/testify/mock"

// WalletRepository is an autogenerated mock type for the WalletRepository type
type WalletRepository struct {
	mock.Mock
}

// CheckUserExistence provides a mock function with given fields: userID
func (_m *WalletRepository) CheckUserExistence(userID int) (bool, error) {
	ret := _m.Called(userID)

	var r0 bool
	if rf, ok := ret.Get(0).(func(int) bool); ok {
		r0 = rf(userID)
	} else {
		r0 = ret.Get(0).(bool)
	}

	var r1 error
	if rf, ok := ret.Get(1).(func(int) error); ok {
		r1 = rf(userID)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// CreateUserWallet provides a mock function with given fields: userID
func (_m *WalletRepository) CreateUserWallet(userID int) error {
	ret := _m.Called(userID)

	var r0 error
	if rf, ok := ret.Get(0).(func(int) error); ok {
		r0 = rf(userID)
	} else {
		r0 = ret.Error(0)
	}

	return r0
}

// GetBalance provides a mock function with given fields: userID
func (_m *WalletRepository) GetBalance(userID int) (float64, error) {
	ret := _m.Called(userID)

	var r0 float64
	if rf, ok := ret.Get(0).(func(int) float64); ok {
		r0 = rf(userID)
	} else {
		r0 = ret.Get(0).(float64)
	}

	var r1 error
	if rf, ok := ret.Get(1).(func(int) error); ok {
		r1 = rf(userID)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// TransferFunds provides a mock function with given fields: fromUserID, toUserID, amount
func (_m *WalletRepository) TransferFunds(fromUserID int, toUserID int, amount float64) error {
	ret := _m.Called(fromUserID, toUserID, amount)

	var r0 error
	if rf, ok := ret.Get(0).(func(int, int, float64) error); ok {
		r0 = rf(fromUserID, toUserID, amount)
	} else {
		r0 = ret.Error(0)
	}

	return r0
}

// UpdateBalance provides a mock function with given fields: userID, amount
func (_m *WalletRepository) UpdateBalance(userID int, amount float64) error {
	ret := _m.Called(userID, amount)

	var r0 error
	if rf, ok := ret.Get(0).(func(int, float64) error); ok {
		r0 = rf(userID, amount)
	} else {
		r0 = ret.Error(0)
	}

	return r0
}
